Kerbal Space Program - Bug #28107

SolveClosestApproach/CheckEncounter log spam with certain patched conics settings causes
crashes

06/29/2021 10:30 PM - theaziz

Status: New Start date: 06/29/2021
Severity: Low % Done: 0%
Assignee:
Category: Settings
Target version:
Version: 1.12.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

On my way to Jool | prepared a maneuver node somewhere on the trajectory, focused on Tylo, set it as target and after a short while
the game crashed. In fact, it crashed every time | tried to work with it. What | found in the log and console was hundreds of

CheckEncounter: failed to find any intercepts at all

After trying everything | deleted settings.cfg and that looked like a solution.

Problem is dependent on two settings. "Always show closest approach to target" and "conic patch limit". Conic patch limit too high
(above 2 really) causes spam in console, most likely causing the game to crash, and turning on or off the first setting changes the
output of said spam. It's either the above or

[Orbit] SolveClosestApproach: solve took too many iterations, result incorrect

Problem persists on 1.12.1

Makes creating any far encounters hard with conic limit set to only 2.

Attached the log and savefile. Orsat 1 POL is the vessel in question, although same thing happens with another one going in the
same direction.

History

#1 - 06/29/2021 10:46 PM - theaziz
- File screenshot223.png added
- File screenshot224.png added
- File screenshot225.png added

Attaching screenshots. With the closest approach setting on, it begins to spam at patched conic limit set to 3. With the setting off, it happens at 4.

#2 - 07/02/2021 02:07 AM - jclovis3

| could have sworn there was a bug report like this a long time ago. Specifically, the game would crash when you warp and have any ship on an
intercept to one of Jools moons from outside of Jool (say a transfer from Kerbin to Bop directly). My workaround was to wait until the ship was within
the SOI of Jool, set orbit, and then plot maneuvers to the moons. Not as efficient but it was better than having the game crash every time my ship
entered Jool SOI with such a maneuver set.

| couldn't find any earlier bug reports that talked about this though. It has existed for quite some time.

Files

persistent.sfs 7.01 MB 06/29/2021 theaziz
KSP.log 570 KB 06/29/2021 theaziz
screenshot223.png 188 KB 06/29/2021 theaziz
screenshot224.png 1.78 MB 06/29/2021 theaziz
screenshot225.png 1.67 MB 06/29/2021 theaziz
